# Uses of Interface
org.eclipse.birt.report.engine.api.IParameterDefnBase

Packages that use IParameterDefnBase
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IParameterDefnBase in org.eclipse.birt.report.engine.api

Subinterfaces of IParameterDefnBase in org.eclipse.birt.report.engine.api
Modifier and Type
Interface
Description
`interface`
`ICascadingParameterGroup`
`interface`
`IDynamicFilterParameterDefn`
`interface`
`IParameterDefn`
base interface for a BIRT report parameter
`interface`
`IParameterGroupDefn`
The interface for objects which visually groups report parameters.
`interface`
`IScalarParameterDefn`
Defines a scalar parameter
Methods in org.eclipse.birt.report.engine.api that return IParameterDefnBase
Modifier and Type
Method
Description
`IParameterDefnBase`
IGetParameterDefinitionTask.`getParameterDefn(String name)`
returns the parameter definition given the parameter name name
Methods in org.eclipse.birt.report.engine.api with parameters of type IParameterDefnBase
Modifier and Type
Method
Description
`Object`
IGetParameterDefinitionTask.`getDefaultValue(IParameterDefnBase param)`
get default value by parameter name